Invoices
Methods for creating, listing, and updating invoices in B2BINPAY DeFi API
Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidQuery Parameters
Page number (starts from 1)
0 < value <= 90071992547409911Number of items per page (max 100)
0 < value <= 10010Field to sort by
"createdAt"Value in
- "id"
- "createdAt"
- "updatedAt"
Sort order (ASC or DESC)
"desc"Value in
- "asc"
- "desc"
Filter by ID that includes the provided string
Filter by created date starting from this date
Filter by created date up to this date
Filter by updated date starting from this date
Filter by updated date up to this date
Filter by currency IDs
Filter by invoice statuses
Filter by tracking ID that includes the provided string
Response Body
application/json
curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/invoices"{ "total": 100, "page": 1, "pageSize": 10, "items": [ { "requestedAmount": "1500.75", "availableCurrencies": [ { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" } ], "paymentPageButtonUrl": "https://example.com/invoice/pay", "paymentPageButtonText": "Pay Invoice", "paymentPageUrl": "https://frontend.example.com/pay/1234567890123456789", "status": "CREATED", "createdAt": "2024-01-01T00:00:00.000Z", "isTron": false, "id": "1234567890123456789", "publicId": "1234567890123456789", "invoiceAddress": "0x1234567890123456789012345678901234567890", "paidAmount": "0.00", "paidAmountBaseCurrency": "string", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "updatedAt": "2024-01-01T00:00:00.000Z" } ]}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/invoices" \ -H "Content-Type: application/json" \ -d '{ "requestedAmount": "10.00", "paymentPageButtonUrl": "https://example.com/callback", "paymentPageButtonText": "Return to merchant" }'{ "requestedAmount": "1500.75", "availableCurrencies": [ { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" } ], "paymentPageButtonUrl": "https://example.com/invoice/pay", "paymentPageButtonText": "Pay Invoice", "paymentPageUrl": "https://frontend.example.com/pay/1234567890123456789", "status": "CREATED", "createdAt": "2024-01-01T00:00:00.000Z", "isTron": false, "id": "1234567890123456789", "publicId": "1234567890123456789", "invoiceAddress": "0x1234567890123456789012345678901234567890", "paidAmount": "0.00", "paidAmountBaseCurrency": "string", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "updatedAt": "2024-01-01T00:00:00.000Z"}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidEntity ID
Response Body
application/json
curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/invoices/1234567890123456789"{ "invoice": { "requestedAmount": "1500.75", "availableCurrencies": [ { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" } ], "paymentPageButtonUrl": "https://example.com/invoice/pay", "paymentPageButtonText": "Pay Invoice", "paymentPageUrl": "https://frontend.example.com/pay/1234567890123456789", "status": "CREATED", "createdAt": "2024-01-01T00:00:00.000Z", "isTron": false, "id": "1234567890123456789", "publicId": "1234567890123456789", "invoiceAddress": "0x1234567890123456789012345678901234567890", "paidAmount": "0.00", "paidAmountBaseCurrency": "string", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "updatedAt": "2024-01-01T00:00:00.000Z" }}Authorization
ApiKeyAuth Provide API key in X-API-Key header
In: header
Path Parameters
Deployment unique identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidEntity ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/invoices/1234567890123456789" \ -H "Content-Type: application/json" \ -d '{ "requestedAmount": "10.00", "paymentPageButtonUrl": "https://example.com/callback", "paymentPageButtonText": "Return to merchant" }'{ "requestedAmount": "1500.75", "availableCurrencies": [ { "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7", "symbol": "USDT", "name": "Tether USD", "chainId": "1", "address": "0xdac17f958d2ee523a2206206994597c13d831ec7", "decimals": 6, "isScam": false, "isVerified": true, "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png" } ], "paymentPageButtonUrl": "https://example.com/invoice/pay", "paymentPageButtonText": "Pay Invoice", "paymentPageUrl": "https://frontend.example.com/pay/1234567890123456789", "status": "CREATED", "createdAt": "2024-01-01T00:00:00.000Z", "isTron": false, "id": "1234567890123456789", "publicId": "1234567890123456789", "invoiceAddress": "0x1234567890123456789012345678901234567890", "paidAmount": "0.00", "paidAmountBaseCurrency": "string", "trackingId": "INV-2024-0001", "callbackUrl": "https://example.com/webhook/invoice", "updatedAt": "2024-01-01T00:00:00.000Z"}آخر تحديث في